Page MenuHomeVyOS Platform

Cant add vif-s interface into a bridge
Closed, ResolvedPublic

Description

I am trying to add a vif-s interface into a bridge group and it fails, we are doing QinQ with 8100 ethertype on the outer frame. using the brctl tool i am able to add it into the bridge.

using version Version: VyOS 1.2.4

Relevant config

Config
#show interfaces ethernet eth0 vif-s 789
+bridge-group {
+ bridge br789
+}
ethertype 0x8100
[edit]

#commit
[ interfaces ethernet eth0 vif-s 789 bridge-group ]
Error: eth0.789: not in a bridge-group

interfaces ethernet eth0 vif-s 789 bridge-group failed
Commit failed
[edit]

#sudo brctl addif br789 eth0.789

br789 8000.8e57abd9fcac no eth0.789

l2tpeth789

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

commo created this task.Apr 1 2020, 4:30 PM
commo created this object in space S1 VyOS Public.
syncer assigned this task to Dmitry.Apr 1 2020, 4:42 PM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Apr 2 2020, 3:35 PM
Dmitry changed the task status from Open to In progress.Apr 4 2020, 1:05 PM
Dmitry edited projects, added VyOS 1.2 Crux (VyOS 1.2.6); removed VyOS 1.3 Equuleus.

1.3 rolling does not affect.
PR for CRUX https://github.com/vyos/vyatta-cfg-system/pull/122

Dmitry closed this task as Resolved.Apr 12 2020, 1:33 PM

Tested on 1.2.5